
registerType('appdoo', (function () { function OverviewSegmentedViewController() {} var __super = setSupertypeFromDomain(OverviewSegmentedViewController, 'SegmentedViewController', 'Core.UI');

	Object.defineProperty(OverviewSegmentedViewController.prototype, "scenesView", {
	outlet: true, get:function () { return this._scenesView; }, set:function (v) {if (!Object.hasOwnProperty(this, "_scenesView")) Object.defineProperty(this, "_scenesView", { writable: true, configurable: true }); this._scenesView = v; }});
	

	Object.defineProperty(OverviewSegmentedViewController.prototype, "overview", {
	outlet: true, get:function () { return this._overview; }, set:function (v) {if (!Object.hasOwnProperty(this, "_overview")) Object.defineProperty(this, "_overview", { writable: true, configurable: true }); this._overview = v; }});
	

	window.kSegmentIndexScenes = 0,
	window.kSegmentIndexAppInfo = 1;

OverviewSegmentedViewController.prototype.loadSegmentAtIndex = function OverviewSegmentedViewController__loadSegmentAtIndex(i) {
		
		if(i > 0 && this.context.disableInAppPreferences) {
			return;
		}
		
		__super.prototype.loadSegmentAtIndex.call(this, i);
		
		if (i === kSegmentIndexScenes) {
			if (!this.scenesView.superview) {
				this.contentView.subviews[0].addSubview(this.scenesView);
				this.scenesView.size.width = this.view.size.width;
				this.scenesView.size.height = this.contentView.size.height;
				this.scenesView.createSubviews();
			}
			this.scenesView.focus();
		}

		if (this.overview)
			this.overview.segmentedViewControllerDidLoadSegmentAtIndex(this,i);
		};
	

OverviewSegmentedViewController.prototype.initPropertiesFromData = function OverviewSegmentedViewController_initPropertiesFromData(data) {
try { __super.prototype.initPropertiesFromData.call(this, data); } catch (err) {}
if (data.hasOwnProperty("scenesView")) this.scenesView = data.scenesView;
if (data.hasOwnProperty("overview")) this.overview = data.overview;
};

OverviewSegmentedViewController.prototype.decodeData = function OverviewSegmentedViewController_decodeData(data) { var decoded;
try { decoded = __super.prototype.decodeData.call(this, data); } catch (err) { console.warn(err); decoded = clone(data); }
return decoded; };

OverviewSegmentedViewController.prototype.encode = function OverviewSegmentedViewController_encode() { var encoded;
try { encoded = __super.prototype.encode.call(this); } catch (err) { console.warn(err); encoded = this.context.encodeObject(this); }
return encoded; };

OverviewSegmentedViewController.prototype.encodeCloned = function OverviewSegmentedViewController_encodeCloned() { var encoded;
try { encoded = __super.prototype.encodeCloned.call(this); } catch (err) { console.warn(err); encoded = {}; }
return encoded; };

OverviewSegmentedViewController.prototype.expectedTypeForProperty = function OverviewSegmentedViewController_expectedTypeForProperty(key) {
	if (key === "scenesView") return "";
	if (key === "overview") return "";
	if (__super) return __super.prototype.expectedTypeForProperty(key);
};

return OverviewSegmentedViewController; }()));